Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class Debug

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.server.Debug`

All Implemented Interfaces:
  java.io.Serializable

public class Debug
extends java.lang.RuntimeException

Internal: Applications should not use this class.

See Also:
  Serialized Form

Field Summary
`static boolean` | `DEBUG`

Method Summary
`static void` | `ensure(boolean cond, java.lang.String message)` INTERNAL: Applications should not use this method.
`static void` | `ensure(java.lang.String message)` INTERNAL: Applications should not use this method.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

  See Also:
    Constant Field Values

Method Detail

### ensure

    public static void ensure(boolean cond,
                              java.lang.String message)
                       throws Debug

  INTERNAL: Applications should not use this method.
  Throws:
    `Debug`

### ensure

    public static void ensure(java.lang.String message)
                       throws Debug

  INTERNAL: Applications should not use this method.
  Throws:
    `Debug`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.